Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface CustomMarshal

All Superinterfaces:
  IDLEntity, java.io.Serializable, ValueBase

All Known Subinterfaces:
  CustomValue

public interface CustomMarshal
extends ValueBase

Value Type definition : CustomMarshal

Author:
  OpenORB Compiler

Method Summary
`void` | `marshal(DataOutputStream os)` Operation marshal
`void` | `unmarshal(DataInputStream is)` Operation unmarshal

Methods inherited from interface org.omg.CORBA.portable.ValueBase
`_truncatable_ids`

Method Detail

### marshal

    public void marshal(DataOutputStream os)

  Operation marshal

### unmarshal

    public void unmarshal(DataInputStream is)

  Operation unmarshal

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD